use std::path::Path;

mod print;
mod api_client;
mod types;

use escpos::{driver::{ConsoleDriver, FileDriver}, errors::PrinterError, printer::Printer, utils::Protocol};

// https://www.dnd5eapi.co/graphql

fn run() ->  Result<(),PrinterError> {
    // let driver = FileDriver::open(Path::new("/dev/usb/lp0")).unwrap();
    let driver = ConsoleDriver::open(true);
    let mut printer = Printer::new(driver, Protocol::default());

    printer.init()?;

    print::print_test_page(&mut printer)?;

    return Ok(());
}

fn main(){
    let spell = api_client::get_spell("eldritch-blast").unwrap();

    let driver = FileDriver::open(Path::new("/dev/usb/lp0")).unwrap();
    let mut printer = Printer::new(driver, Protocol::default());

    printer.init().unwrap();

    print::print_spell(&mut printer, &spell).unwrap();


    println!("{:?}",spell);
}
